# Copyright 2016 Paul Hänsch
#
# This file is part of Confetti.
# 
# Confetti is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Confetti is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with Confetti.  If not, see <http://www.gnu.org/licenses/>. 

check(){ [ "$1" = "$2" ] && printf checked}

cat <<END_HTML
<form class="prescription" action="?action=update_prescription" method="POST">
<input type="hidden" name="prescription" value="${mpx[prescription]}">

<h1>$(l10n therapy_prescription)</h1>

<label for="insurance">$(l10n insurance)</label>
<input id="insurance" name="insurance" value="${mpx[insurance]}" placeholder="$(l10n insurance)">
<br>
<label for="name">$(l10n name)</label>
<textarea id="name" name="name" placeholder="$(l10n name)">${mpx[name]}</textarea>
<br>
<label for="bday">$(l10n bday)</label>
<input id="bday" name="bday" value="${mpx[bday]}" placeholder="$(l10n bday)">

<br>
<label for="date">$(l10n date)</label>
<input id="date" name="date" value="${mpx[date]}" placeholder="$(l10n date)">

<br>
<label for="addcontrib">$(l10n addcontrib)</label>
<input id="addcontrib" name="addcontrib" value="${mpx[addcontrib]}" placeholder="$(l10n addcontrib)">
<input type="checkbox" id="contribconfirm" name="contribconfirm" value="true" ${mpx[contribconfirm]:+checked}>
<label for="contribconfirm">$(l10n contribconfirm)</label>

<h2>$(l10n prescription_by_catalogue)</h2>
<input type="radio" id="prescfirst" name="prescno" value="first" $(check "$mpx[prescno]" first)>
<label for="prescfirst">$(l10n prescfirst)</label>
<br>
<input type="radio" id="prescfollow1" name="prescno" value="follow1" $(check "$mpx[prescno]" follow1)>
<label for="prescfollow1">$(l10n prescfollow1)</label>
<br>
<input type="radio" id="prescfollow2" name="prescno" value="follow2" $(check "$mpx[prescno]" follow2)>
<label for="prescfollow2">$(l10n prescfollow2)</label>
<br>
<input type="radio" id="prescother" name="prescno" value="other" $(check "$mpx[prescno]" other)>
<label for="prescother">$(l10n prescother)</label>
<br>
<input type="radio" id="presccontinual" name="prescno" value="continual" $(check "$mpx[prescno]" continual)>
<label for="presccontinual">$(l10n presccontinual)</label>

<br>
<input type="checkbox" id="grouptherapy" name="grouptherapy" value="true" ${mpx[grouptherapy]:+checked}>
<label for="grouptherapy">$(l10n grouptherapy)</label>
<br>
<input type="checkbox" id="housecall" name="housecall" value="true" ${mpx[housecall]:+checked}>
<label for="housecall">$(l10n housecall)</label>
<br>
<input type="checkbox" id="report" name="report" value="true" ${mpx[report]:+checked}>
<label for="report">$(l10n report)</label>

<br>
<label for="remidy">$(l10n remidy)</label>
<textarea id="remidy" name="remidy" placeholder="$(l10n remidy)">${mpx[remidy]}</textarea>
<br>
<label for="quantity">$(l10n quantity)</label>
<input id="quantity" name="quantity" value="${mpx[quantity]}" placeholder="$(l10n quantity)">
<br>
<label for="quantity_weekly">$(l10n quantity_weekly)</label>
<input id="quantity_weekly" name="quantity_weekly" value="${mpx[quantity_weekly]}" placeholder="$(l10n quantity_weekly)">

<br>
<label for="remidy1">$(l10n remidy)</label>
<textarea id="remidy1" name="remidy1" placeholder="$(l10n remidy)">${mpx[remidy1]}</textarea>
<br>
<label for="quantity1">$(l10n quantity)</label>
<input id="quantity1" name="quantity1" value="${mpx[quantity1]}" placeholder="$(l10n quantity)">
<br>
<label for="quantity_weekly1">$(l10n quantity_weekly)</label>
<input id="quantity_weekly1" name="quantity_weekly1" value="${mpx[quantity_weekly1]}" placeholder="$(l10n quantity_weekly)">

<br>
<label for="indicator">$(l10n indicator)</label>
<input id="indicator" name="indicator" value="${mpx[indicator]}" placeholder="$(l10n indicator)">
<br>
<label for="icd10">$(l10n icd10)</label>
<input id="icd10" name="icd10" value="${mpx[icd10]}" placeholder="$(l10n icd10)">

<br>
<input type="checkbox" id="prescreviewed" name="prescreviewed" value="true" ${mpx[prescreviewed]:+checked}>
<label for="prescreviewed">$(l10n prescreviewed)</label>

<br>
<button type="submit" name="action" value="save">$(l10n save)</button>
<button type="submit" name="action" value="cancel">$(l10n cancel)</button>
<button type="submit" name="action" value="delete">$(l10n delete)</button>

</form>
END_HTML
