# /*
# Copyright 2016 Paul Hänsch
#
# This file is part of Confetti.
# 
# Confetti is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Confetti is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with Confetti.  If not, see <http://www.gnu.org/licenses/>. 

. ${0%/*}/attendees.css.sh

cat <<EOF
/**/

.prescription {
  display: inline-block;
  position: relative;
  width: 480px; height: 41em;
  color: #800;
  background-color: #CFF;
  margin: 1em; padding: 0;
  border: 1px solid #888;
  overflow: hidden;
}

.newprescription {
  display: block;
  margin: 0 2em; padding: .5ex 2ex;
  background-color: #CFF;
  border: 1px solid #888;
  border-radius: 0 0 1ex 1ex;
}
.prescription + .newprescription {display: none;}

.prescription * {
  position: absolute;
  display: inline-block;
  bottom: 0; right: 0;
  font-size: 1em;
  line-height: 1em;
  margin: 0; padding: 0;
}
.prescription label {padding-left: .5ex; font-size: .75em;}

.prescription span,
.prescription input,
.prescription textarea {
  height: 1.5em;
  border: 1px solid #800;
  padding: .25ex;
  background-color: #FFF;
}
.prescription span{
  background-color: #EEE;
  padding: .5ex .25ex;
  white-space: pre-wrap;
}

input[type=checkbox],
input[type=radio] { display: none;}
label.checkbox, label.radio,
input[type=checkbox] + label,
input[type=radio] + label { padding-left: 1em; font-size: 1em; }
label.checkbox:before, label.radio:before,
input[type=checkbox] + label:before,
input[type=radio] + label:before {
  display: inline-block;
  position: absolute; left: 0;
  width: .75em; height: .75em;
  background-color: #FFF;
  border: 1px solid #800;
  content: ' ';
}
label.radio:before,
input[type=radio] + label:before { border-radius: .5em;}
label.checkbox.checked:before, label.radio.checked:before,
input[type=checkbox]:checked + label:before,
input[type=radio]:checked + label:before { content: "\2713";}

a.button,
.prescription input[type=submit],
.prescription button {
  height: 1.5em;
  color: #FFF;
  background-color: #800;
  text-align: center;
  text-decoration: none;
  margin: 0; padding: .125em 0 0 0;
  border: none;
}
a.button {padding: .5ex;}

/* ======== Specific ========== */
.prescription h1:nth-of-type(1) {
  font-size: 1.25em;
  font-weight: bold;
  left: 62%; top: .5em;
  width: 36%;
}

label[for=insurance], #insurance {
  width: 58%;
  left: 2%;
  top: 1em;
}
#insurance {top: 1.5em;}

label[for=name], #name {
  width: 38%;
  left: 2%;
  top: 4.5em;
}
#name {top: 4.125em; height: 4em;}

label[for=bday], #bday {
  width: 20%;
  left: 40%;
  top: 4.5em;
}
#bday {top: 4.125em; height: 4em; text-align: center;}

label[for=date], #date {
  width: 20%;
  left: 40%;
  top: 11.375em;
}
#date {top: 9.25em; text-align: right;}

label[for=addcontrib], #addcontrib {
  width: 18%;
  left: 62%;
  top: 6.25em;
}
#addcontrib {top: 5.5em; text-align: right;}
label[for=contribconfirm] { top: 7.25em; left: 62%;}

.prescription h2:nth-of-type(1) {
  font-weight: bold;
  left: 2%; top: 12em;
  width: 50%;
}

label[for=prescfirst]    { left:  2%; top: 14.5em; width: 30%; }
label[for=prescfollow1]  { left:  2%; top: 16em;   width: 30%; }
label[for=prescfollow2]  { left:  2%; top: 17.5em; width: 30%; }
label[for=presccontinual]{ left: 33%; top: 14.5em; width: 30%; }
label[for=prescother  ]  { left: 33%; top: 16em;   width: 30%; }

label[for=grouptherapy] { left:  2%; top: 20em; width: 30%; }
label[for=housecall]    { left: 33%; top: 20em; width: 30%; }
label[for=report]       { left:  2%; top: 21.5em; width: 30%; }


label[for=quantity], #quantity, #quantity1 {
  width: 18%;
  left: 2%;
  top: 32em;
}
#quantity {top: 25.5em; height: 3em; text-align: center;}
#quantity1 {top: 28.5em; height: 3em; text-align: center;}
label[for=remidy], #remidy, #remidy1 {
  width: 60%;
  left: 20%;
  top: 33em;
}
#remidy {top: 25.5em; height: 3em;}
#remidy1 {top: 28.5em; height: 3em;}
label[for=quantity_weekly], #quantity_weekly, #quantity_weekly1 {
  width: 18%;
  left: 80%;
  top: 32em;
}
#quantity_weekly {top: 25.5em; height: 3em; text-align: center;}
#quantity_weekly1 {top: 28.5em; height: 3em; text-align: center;}

label[for=quantity1], label[for=remidy1], label[for=quantity_weekly1] {display: none}

label[for=indicator], #indicator {
  width: 20%;
  left: 2%;
  top: 42.5em;
}
#indicator {top: 33.375em; text-align: right;}
label[for=icd10], #icd10 {
  width: 20%;
  left: 2%;
  top: 47em;
}
#icd10 {top: 36em; text-align: right;}

label[for=prescreviewed] { left:  62%; top: 36em; width: 36%; }

a.button,
button[value=save]   { top: 39em; left:  2%; width: 18%;}
button[value=cancel] { top: 39em; left: 21%; width: 18%;}
button[value=delete] { top: 39em; left: 42%; width: 18%;}

EOF

# vi:set filetype=css:
